
# Interface: IWidgetDataSheetColumnScheme

Represents a column scheme for a table.

## Hierarchy

* **IWidgetDataSheetColumnScheme**

## Implemented by

* [DataSheetFieldData](../classes/datasheetfielddata.md)

## Index

### Properties

* [barcodeFormat](iwidgetdatasheetcolumnscheme.md#optional-barcodeformat)
* [barcodeSubType](iwidgetdatasheetcolumnscheme.md#optional-barcodesubtype)
* [name](iwidgetdatasheetcolumnscheme.md#name)
* [readonly](iwidgetdatasheetcolumnscheme.md#optional-readonly)
* [type](iwidgetdatasheetcolumnscheme.md#optional-type)
* [value](iwidgetdatasheetcolumnscheme.md#value)

## Properties

### `Optional` barcodeFormat

• **barcodeFormat**? : *string*

___

### `Optional` barcodeSubType

• **barcodeSubType**? : *string*

___

###  name

• **name**: *string*

The field name.

___

### `Optional` readonly

• **readonly**? : *boolean*

If `true`, disables field editing.

___

### `Optional` type

• **type**? : *string*

The field type.

___

###  value

• **value**: *string*

The default value.
